#!/bin/bash

# Autore:   Gianpaolo Lucatti
# E-mail:   sportegioco@gmail.com
# Sito web: http://www.sportegioco.it

#user_pref("network.protocol-handler.app.openlocal", "Click su scegli e seleziona /usr/local/bin/openlocalfiledir.sh");

#Controllo se Firefox è installato
     #Controllo se Firefox è aperto
          #Controllo se ci sono già le scritte nel file prefs.js  e se non ci sono chiedo di chiudere Firefox ed esco
          #Se le scritte ci sono vado avanti con l'installazione
          
#Altrimenti consiglio di installarlo

     #Controllo se Firefox è installato
     cartellaprofile=$(cat $HOME/.mozilla/firefox/profiles.ini | grep  "Path" | cut -d "=" -f2)     # cut -d "=" -f1   avrebbe preso fino al carattere
     if [  -e "$HOME/.mozilla/firefox/$cartellaprofile/prefs.js" ] ; then

          #Controllo se ci sono già le scritte nel file prefs.js - Le prime 3 per aprire link locali e le seconde 2 per aprire file locali i con programmi predefiniti (Se anche una sola manca, le scrivo tutte e 5 tanto poi firefox elimina quelle doppie)
if [ "$(grep -c 'user_pref("capability.policy.policynames", "localfilelinks");'  "$HOME/.mozilla/firefox/$cartellaprofile/prefs.js")" -lt "1" ] || [ "$(grep -c 'user_pref("capability.policy.localfilelinks.sites", "http://localhost");'  "$HOME/.mozilla/firefox/$cartellaprofile/prefs.js")" -lt "1" ] || [ "$(grep -c 'user_pref("capability.policy.localfilelinks.checkloaduri.enabled", "allAccess");'  "$HOME/.mozilla/firefox/$cartellaprofile/prefs.js")" -lt "1" ] || [ "$(grep -c 'user_pref("network.protocol-handler.app.openlocal", "/usr/local/bin/openlocalfiledir.sh");'  "$HOME/.mozilla/firefox/$cartellaprofile/prefs.js")" -lt "1" ] || [ "$(grep -c 'user_pref("network.protocol-handler.external.openlocal", true);'  "$HOME/.mozilla/firefox/$cartellaprofile/prefs.js")" -lt "1" ] ; then

               #Controllo se Firefox è aperto
               if [ "$(ps aux | grep -c firefox)" -gt "1" ] ; then

     zenity --warning --text="Prima di poter effettuare l'installazione occorre chiudere Firefox \n 
per permettergli di aprire file e cartelle locali dal server"
     exit 0
               else

     #Aggiungo tre righe che servono a permettere a Firefox di aprirte file locali dal server
     echo -e 'user_pref("capability.policy.policynames", "localfilelinks");' >> "$HOME/.mozilla/firefox/$cartellaprofile/prefs.js" 
     echo -e 'user_pref("capability.policy.localfilelinks.sites", "http://localhost");' >> "$HOME/.mozilla/firefox/$cartellaprofile/prefs.js" 
     echo -e 'user_pref("capability.policy.localfilelinks.checkloaduri.enabled", "allAccess");' >> "$HOME/.mozilla/firefox/$cartellaprofile/prefs.js"
     echo -e 'user_pref("network.protocol-handler.app.openlocal", "/usr/local/bin/openlocalfiledir.sh");' >> "$HOME/.mozilla/firefox/$cartellaprofile/prefs.js" 
     echo -e 'user_pref("network.protocol-handler.external.openlocal", true);' >> "$HOME/.mozilla/firefox/$cartellaprofile/prefs.js" 
     echo " Ho aggiunto 5 righe nel file "$HOME/.mozilla/firefox/$cartellaprofile/prefs.js""

               fi
          fi

     else

          zenity --warning --text="Non trovo il profilo di firefox nella cartella \n
/home/administrator/.mozilla/firefox/
\n Probabilmente Firefox non è installato o non è\n installato nella cartella predefinita
\n Vado ugualmente avanti con l'installazione, \n ma si consiglia di installare Firefox e poi ripetere questa installazione"
     fi

     #Copio il file nella cartella dei programmi e gli do i permessi di esecuzione
     gksu cp ./mymysearch /usr/bin/mymysearch && gksu chmod 755 /usr/bin/mymysearch
     #Copio il file nella cartella dei programmi e gli do i permessi di esecuzione
     gksu cp ./mymysearch.cgi /usr/lib/cgi-bin/mymysearch.cgi && gksu chmod 755 /usr/lib/cgi-bin/mymysearch.cgi
     #Copio il file nella cartella dei programmi e gli do i permessi di lettura
     gksu cp ./openlocalfiledir.sh /usr/local/bin/openlocalfiledir.sh && gksu chmod 755 /usr/local/bin/openlocalfiledir.sh
     #Copio il file nella cartella dei programmi e gli do i permessi di lettura
     #gksu cp ./mymy.png /var/www/mymy.png && gksu chmod 755 /var/www/mymy.png     #Non serve più perchè inserita come testo in base64


     #Controllo se l'installazione è andata a buon fine
     if [  -e "/usr/bin/mymysearch" ] && [  -e "/usr/lib/cgi-bin/mymysearch.cgi" ] ; then
     zenity --info --text="Il programma \"mymysearch\" è installato con successo nella cartella \"/usr/bin/mymysearch\"
\n Il programma \"mymysearch.cgi\" è installato con successo nella cartella /usr/lib/cgi-bin/mymysearch.cgi\"
\n Per aprirlo puntare Firefox al seguente indirizzo:\n \"http://localhost/cgi-bin/mymysearch.cgi\""
     elif [  -e "/usr/bin/mymysearch" ]  ; then
     zenity --info --text="Il programma \"mymysearch\" è installato con successo nella cartella \"/usr/bin/mymysearch\"
ma non sono riuscito ad installare il programma \"mymysearch.cgi\" nella cartella \"/usr/lib/cgi-bin/mymysearch.cgi\""
     elif [  -e "/usr/lib/cgi-bin/mymysearch.cgi" ]  ; then
     zenity --info --text="Il programma \"mymysearch.cgi\" è installato con successo nella cartella \"/usr/lib/cgi-bin/mymysearch.cgi\"
ma non sono riuscito ad installare il programma \"mymysearch\" nella cartella \"/usr/bin/mymysearch\""
     else
     zenity --warning --text="Non sono riuscito ad installare né il programma \"mymysearch\" nella cartella \"/usr/bin/mymysearch\"
né il programma \"mymysearch.cgi\" è installato con successo nella cartella \"/usr/lib/cgi-bin/mymysearch.cgi\""
     fi



